classification
Title: Document unsorted behaviour of glob.glob
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Dave Jones, docs@python, martin.panter, python-dev, rhettinger
Priority: normal Keywords: patch

Created on 2015-11-13 10:26 by Dave Jones, last changed 2015-11-17 00:29 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
glob-spec-unsorted.patch Dave Jones, 2015-11-13 10:26 glob documentation patch adding unsorted results to behaviour description review
Messages (7)
msg254597 - (view) Author: Dave Jones (Dave Jones) * Date: 2015-11-13 10:26
As suggested in issue 21748, this is a minor documentation change to make explicitly clear that glob.glob returns unsorted results (on the basis that the existing specification references shell behaviour which is always sorted).
msg254635 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-11-13 23:19
Looks good to me. Also worth applying to earlier versions I think.
msg254683 - (view) Author: Dave Jones (Dave Jones) * Date: 2015-11-15 10:40
Sounds good; the patch seems to apply cleanly to checkouts of 2.7, 3.4, and 3.5 so I'm assuming I don't need to do anything else?
msg254688 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2015-11-15 19:06
+1 for the doc update.

For future reference, the doc patches are much easier to review if you don't rewrap the text (we can easily do that part before applying the patch).
msg254690 - (view) Author: Dave Jones (Dave Jones) * Date: 2015-11-15 19:26
Ah, sorry about that - force of habit. I did wonder if it was preferable to have a nicely wrapped patch, or to have a clean diff but obviously figured wrong! I'll know for future :)
msg254771 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-11-17 00:20
New changeset fa4f0096b719 by Martin Panter in branch '2.7':
Issue #25615: Document unsorted behaviour of glob; patch by Dave Jones
https://hg.python.org/cpython/rev/fa4f0096b719

New changeset 7ca6a13db0e5 by Martin Panter in branch '3.4':
Issue #25615: Document unsorted behaviour of glob; patch by Dave Jones
https://hg.python.org/cpython/rev/7ca6a13db0e5

New changeset f928dcb448a9 by Martin Panter in branch '3.5':
Issue #25615: Merge glob doc from 3.4 into 3.5
https://hg.python.org/cpython/rev/f928dcb448a9

New changeset a6bc96c2b8be by Martin Panter in branch 'default':
Issue #25615: Merge glob doc from 3.5
https://hg.python.org/cpython/rev/a6bc96c2b8be
msg254772 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-11-17 00:28
I committed the patch as it was. But normally I do try to keep the number of lines in the diff close to the minimum, even when committing. RST files are like source code and it doesn’t matter if the wrapping is not 100% perfect, because they get turned into HTML or whatever anyway. Plus keeping the diff to a minimum helps when looking through the repository history with annotate or whatever.

On the other hand, for doc strings, I think it is best to rewrap them, because that is the wrapping you end up with in pydoc and help().
History
Date User Action Args
2015-11-17 00:29:01martin.pantersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2015-11-17 00:28:48martin.pantersetmessages: + msg254772
2015-11-17 00:20:54python-devsetnosy: + python-dev
messages: + msg254771
2015-11-15 19:26:15Dave Jonessetmessages: + msg254690
2015-11-15 19:06:56rhettingersetnosy: + rhettinger
messages: + msg254688
2015-11-15 10:40:13Dave Jonessetmessages: + msg254683
2015-11-13 23:19:30martin.pantersetversions: + Python 2.7, Python 3.4, Python 3.5
nosy: + martin.panter

messages: + msg254635

stage: patch review
2015-11-13 10:26:21Dave Jonescreate